curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/user/access" \
-H "Authorization: Bearer {token}" \
-X "GET"
access = vehicle.request(
"GET",
"{make}/user/access"
)
const access = await vehicle.request(
"GET",
"{make}/user/access"
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("GET")
.path("{make}/user/access")
.build();
VehicleResponse access =vehicle.request(request);
access = vehicle.request(
"GET",
"{make}/user/access"
)
{
"accessType": "OWNER",
"permissions" : ["vehicle_cmds", "vehicle_device_data"]
}
Tesla
User Access
Returns the account type and permissions for the connected Tesla account.
GET
/
v2.0
/
vehicles
/
{id}
/
{make}
/
user
/
access
curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/user/access" \
-H "Authorization: Bearer {token}" \
-X "GET"
access = vehicle.request(
"GET",
"{make}/user/access"
)
const access = await vehicle.request(
"GET",
"{make}/user/access"
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("GET")
.path("{make}/user/access")
.build();
VehicleResponse access =vehicle.request(request);
access = vehicle.request(
"GET",
"{make}/user/access"
)
{
"accessType": "OWNER",
"permissions" : ["vehicle_cmds", "vehicle_device_data"]
}
This endpoint is currently available for
teslacurl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/user/access" \
-H "Authorization: Bearer {token}" \
-X "GET"
access = vehicle.request(
"GET",
"{make}/user/access"
)
const access = await vehicle.request(
"GET",
"{make}/user/access"
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("GET")
.path("{make}/user/access")
.build();
VehicleResponse access =vehicle.request(request);
access = vehicle.request(
"GET",
"{make}/user/access"
)
Request
Pathstring
required
The vehicle ID of the vehicle you are making a request to.
Response
string | null
Returns the type of Tesla account connected. Can be either
OWNER or DRIVER. Please see our Tesla FAQs for details on the differences between account types.[string] | null
Returns a list of permissions granted by the user with their Tesla account. Please see this page on the mapping from Smartcar permissions to Tesla’s.
{
"accessType": "OWNER",
"permissions" : ["vehicle_cmds", "vehicle_device_data"]
}
Notes
- If you’re receiving a SERVER:INTERNAL error please have the user reconnect their vehicle.
Was this page helpful?

